ランタイム: Mix::Scene::IMotionMixer Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IMotionMixer Class Referenceabstract

モーションミキサーインターフェース More...

`#include <IMotionMixer.h>`

Inheritance diagram for Mix::Scene::IMotionMixer:
[legend]
Collaboration diagram for Mix::Scene::IMotionMixer:
[legend]

## Public Types

enum | FLAGS { ROOT_TRANSFORM = 0x00000001, BODY_TRANSFORM = 0x00000002, FRAME_STEP = 0x00000004, BOTH_TRANSFORM = ( ROOT_TRANSFORM | BODY_TRANSFORM ), ALL_FLAGS = ( ROOT_TRANSFORM | BODY_TRANSFORM | FRAME_STEP ) }
| フラグ列挙定数 More...

## Public Member Functions

virtual UInt32 | GetControllerCount (void) const =0
| コントローラーの数を取得します More...
virtual Boolean | GetControllerByIndex (UInt32 index, Mix::Scene::IMotionController **ppController)=0
| コントローラーを取得します More...
virtual Boolean | GetControllerByName (const wchar_t *pName, Mix::Scene::IMotionController **ppController)=0
| コントローラーを取得します More...
virtual void | ForceStopAll (void)=0
| 全てのモーションを強制停止します More...
virtual Float32 | GetSpeed (void) const =0
| スピードを取得します More...
virtual void | SetSpeed (Float32 speed)=0
| スピードを設定します More...
virtual UInt32 | GetFlags (void) const =0
| フラグを取得します More...
virtual void | SetFlags (UInt32 flags)=0
| フラグを設定します More...
virtual UInt32 | GetUpdateFlags (void) const =0
| 更新フラグを取得します More...
virtual const Mix::Quaternion & | GetAngularVelocity (void) const =0
| 回転速度を取得します More...
virtual const Mix::Vector3 & | GetLinearVelocity (void) const =0
| 移動速度を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IMotionMixer (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

モーションミキサーインターフェース

## Member Enumeration Documentation

enum Mix::Scene::IMotionMixer::FLAGS

フラグ列挙定数

Enumerator
ROOT_TRANSFORM | ルートトランスフォームを行う
BODY_TRANSFORM | ボディトランスフォームを行う
FRAME_STEP | フレームを進める
BOTH_TRANSFORM | ルート、ボディ両方のトランスフォームを行う
ALL_FLAGS | 全て

## Constructor & Destructor Documentation

virtual Mix::Scene::IMotionMixer::~IMotionMixer | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual UInt32 Mix::Scene::IMotionMixer::GetControllerCount | ( | void |  | ) | const

pure virtual

コントローラーの数を取得します

Returns
  コントローラーの数を返します

virtual Boolean Mix::Scene::IMotionMixer::GetControllerByIndex | ( | UInt32 | index,
|  | Mix::Scene::IMotionController ** | ppController
| ) |  |

pure virtual

コントローラーを取得します

Parameters

  [in] | index | コントローラーのインデックス
  [out] | ppController | 取得したコントローラーを渡す Mix::Scene::IMotionController インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual Boolean Mix::Scene::IMotionMixer::GetControllerByName | ( | const wchar_t * | pName,
|  | Mix::Scene::IMotionController ** | ppController
| ) |  |

pure virtual

コントローラーを取得します

Parameters

  [in] | pName | コントローラーの名前
  [out] | ppController | 取得したコントローラーを渡す Mix::Scene::IMotionController インターフェースのポインタ

Returns
  成功した場合は True を返します

virtual void Mix::Scene::IMotionMixer::ForceStopAll | ( | void |  | ) |

pure virtual

全てのモーションを強制停止します

virtual Float32 Mix::Scene::IMotionMixer::GetSpeed | ( | void |  | ) | const

pure virtual

スピードを取得します

Returns
  スピードを返します

virtual void Mix::Scene::IMotionMixer::SetSpeed | ( | Float32 | speed | ) |

pure virtual

スピードを設定します

Parameters

  [in] | speed | スピード( 0.0f〜正の無限大 )

Note
  ここで設定されるスピードは現在再生中のモーションすべてに適用されます

virtual UInt32 Mix::Scene::IMotionMixer::GetFlags | ( | void |  | ) | const

pure virtual

フラグを取得します

Returns
  Mix::Scene::IMotionMixer::FLAGS 列挙定数の組み合わせを返します。

virtual void Mix::Scene::IMotionMixer::SetFlags | ( | UInt32 | flags | ) |

pure virtual

フラグを設定します

Parameters

  [in] | flags | Mix::Scene::IMotionMixer::FLAGS 列挙定数の組み合わせ

virtual UInt32 Mix::Scene::IMotionMixer::GetUpdateFlags | ( | void |  | ) | const

pure virtual

更新フラグを取得します

Returns
  Mix::Scene::IMotionMixer::FLAGS 列挙定数の組み合わせを返します。

virtual const Mix::Quaternion& Mix::Scene::IMotionMixer::GetAngularVelocity | ( | void |  | ) | const

pure virtual

回転速度を取得します

Returns
  回転速度を表す Mix::Vector3 クラスを返します

virtual const Mix::Vector3& Mix::Scene::IMotionMixer::GetLinearVelocity | ( | void |  | ) | const

pure virtual

移動速度を取得します

Returns
  移動速度を表す Mix::Vector3 クラスを返します

The documentation for this class was generated from the following file:

- Mix/Scene/IMotionMixer.h